> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/contenttypeservice.md).

# ContentTypeService

The content type service acts as a "gateway" to Umbraco data for operations which are related to both content types and media types.

[Browse the API documentation for IContentTypeService](https://apidocs.umbraco.com/v13/csharp/api/Umbraco.Cms.Core.Services.IContentTypeService.html).

* **Namespace:** `Umbraco.Cms.Core.Services`
* **Assembly:** `Umbraco.Core.dll`

All samples in this document will require references to the following dll:

* Umbraco.Core.dll

All samples in this document will require the following using statements:

```csharp
using Umbraco.Cms.Core.Services;
```

For Razor views:

```csharp
@using Umbraco.Cms.Core.Services
```

## Getting the service

### Dependency Injection

If you wish to use the content type service in a class, you need to specify the `IContentTypeService` interface in your constructor:

```csharp
public class MyClass
{
    private IContentTypeService _contentTypeService;

    public MyClass(IContentTypeService contentTypeService)
    {
        _contentTypeService = contentTypeService;
    }
}
```

In Razor views, you can access the content type service through the `@inject` directive:

```csharp
@inject IContentTypeService ContentTypeService
```

## Samples

* [**Retrieving content types**](/umbraco-cms/13.latest/reference/management/services/contenttypeservice/retrieving-content-types.md)\
  See examples on how to retrieve content types via the service - either individually or as a collection.
* [**Retrieving content type containers**](/umbraco-cms/13.latest/reference/management/services/contenttypeservice/retrieving-content-type-containers.md)\
  See examples on how to retrieve content type containers (folders) via the service - either individually or as a collection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.umbraco.com/umbraco-cms/13.latest/reference/management/services/contenttypeservice.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
